> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Estimates

> Get a paginated list of estimates



## OpenAPI

````yaml /api-reference/invoices/openapi.json get /invoices/estimate/list
openapi: 3.0.0
info:
  title: Invoice API
  description: Documentation for invoice API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Invoice
    description: Documentation for invoice API
  - name: Template
    description: Documentation for invoice API
  - name: Schedule
    description: Documentation for invoice API
  - name: Text2Pay
    description: Documentation for invoice API
  - name: Estimate
    description: Documentation for invoice API
paths:
  /invoices/estimate/list:
    get:
      tags:
        - Estimate
      summary: List Estimates
      description: Get a paginated list of estimates
      operationId: list-estimates
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
        - name: startAt
          required: false
          in: query
          description: startAt in YYYY-MM-DD format
          schema:
            example: '2023-01-01'
            type: string
        - name: endAt
          required: false
          in: query
          description: endAt in YYYY-MM-DD format
          schema:
            example: '2023-01-01'
            type: string
        - name: search
          required: false
          in: query
          description: search text for estimates name
          schema:
            example: Home services estimate
            type: string
        - name: status
          required: false
          in: query
          description: estimate status
          schema:
            example: sent
            enum:
              - all
              - draft
              - sent
              - accepted
              - declined
              - invoiced
              - viewed
            type: string
        - name: contactId
          required: false
          in: query
          description: Contact ID for the estimate
          schema:
            example: AmuzcoPBpgKeccNsFlib
            type: string
        - name: limit
          required: true
          in: query
          description: Limit the number of items to return
          schema:
            example: 10
            type: string
        - name: offset
          required: true
          in: query
          description: Number of items to skip
          schema:
            example: 10
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEstimatesResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - invoices/estimate.readonly
        - Agency-Access:
            - invoices/estimate.readonly
components:
  schemas:
    ListEstimatesResponseDTO:
      type: object
      properties:
        estimates:
          description: List of estimates
          type: array
          items:
            type: string
        total:
          type: number
          description: Total number of estimates
        traceId:
          type: string
          description: Unique identifier for tracing the request
      required:
        - estimates
        - total
        - traceId
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````